package com.fs.watch.domain;

import java.io.Serializable;
import java.util.UUID;

/**
 * 设备原始回传信息记录(WatchDeviceInfo)实体类
 *
 * @author makejava
 * @since 2024-12-17 15:11:03
 */
public class WatchDeviceInfoClic implements Serializable {
    private static final long serialVersionUID = -41216161638176969L;
/**
     * 主键id
     */
    private UUID id;
/**
     * 设备编号
     */
    private String deviceId;
/**
     * imsi
     */
    private String imsi;
/**
     * sn
     */
    private String sn;
/**
     * mac
     */
    private String mac;
/**
     * 网络制式
     */
    private String netType;
/**
     * net_operator
     */
    private String netOperator;
/**
     * wearing_status
     */
    private String wearingStatus;
/**
     * 设备型号
     */
    private String model;
/**
     * 设备版本
     */
    private String version;
/**
     * sim1_iccid
     */
    private String sim1Iccid;
/**
     * sim1_cellid
     */
    private String sim1Cellid;
/**
     * band_detail
     */
    private String bandDetail;
/**
     * refsignal
     */
    private String refsignal;
/**
     * communication_mode
     */
    private String communicationMode;
/**
     * band
     */
    private String band;
/**
     * 创建时间
     */
    private String createTime;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getNetType() {
        return netType;
    }

    public void setNetType(String netType) {
        this.netType = netType;
    }

    public String getNetOperator() {
        return netOperator;
    }

    public void setNetOperator(String netOperator) {
        this.netOperator = netOperator;
    }

    public String getWearingStatus() {
        return wearingStatus;
    }

    public void setWearingStatus(String wearingStatus) {
        this.wearingStatus = wearingStatus;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSim1Iccid() {
        return sim1Iccid;
    }

    public void setSim1Iccid(String sim1Iccid) {
        this.sim1Iccid = sim1Iccid;
    }

    public String getSim1Cellid() {
        return sim1Cellid;
    }

    public void setSim1Cellid(String sim1Cellid) {
        this.sim1Cellid = sim1Cellid;
    }

    public String getBandDetail() {
        return bandDetail;
    }

    public void setBandDetail(String bandDetail) {
        this.bandDetail = bandDetail;
    }

    public String getRefsignal() {
        return refsignal;
    }

    public void setRefsignal(String refsignal) {
        this.refsignal = refsignal;
    }

    public String getCommunicationMode() {
        return communicationMode;
    }

    public void setCommunicationMode(String communicationMode) {
        this.communicationMode = communicationMode;
    }

    public String getBand() {
        return band;
    }

    public void setBand(String band) {
        this.band = band;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

}

